org.apache.olingo.ext.proxy.api

## Interface Search<T extends EntityType<?>,EC extends Collection<T>>

- Type Parameters:
    `T` - search result type
    `EC` -
  All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    SearchImpl

      public interface Search<T extends EntityType<?>,EC extends Collection<T>>
      extends Serializable

  Interface used to control search execution.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EC` | `getResult()` Executes a `$search` search and return the search results as collection.
    `String` | `getSearch()` The `$search` expression for this search.
    `Search<T,EC>` | `setSearch(String search)` Sets the `$search` expression for this search.
    `Search<T,EC>` | `setSearch(URISearch search)` Sets the search generating the `$search` expression for this search.

- - ### Method Detail

    - #### setSearch

          Search<T,EC> setSearch(String search)

      Sets the `$search` expression for this search.
      Any of available operators and functions can be embodied here.
      Parameters:
        `search` - the `$search` expression for this search
      Returns:
        the same search instance

    - #### setSearch

          Search<T,EC> setSearch(URISearch search)

      Sets the search generating the `$search` expression for this search.
      Parameters:
        `search` - search instance (to be obtained via `ODataSearchFactory`): note that `build()` method will be immediately invoked.
      Returns:
        the same search instance

    - #### getSearch

          String getSearch()

      The `$search` expression for this search.
      Returns:
        the `$search` expression for this search

    - #### getResult

          EC getResult()

      Executes a `$search` search and return the search results as collection.
      Returns:
        an iterable view of the results

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.